/*--------------------------------------------------------------------------
**      wnetIF.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/mpr/wnetIF.c
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/mpr/wnetIF.c,v 1.3 2000/01/28 07:45:59 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"
#include "WinDefs.h"
#include "kerndef.h"
#include "Endian.h"
#include "Log.h"
#include "Kernel.h"
#include "Resources.h"
#include "DPMI.h"
#include "BinTypes.h"
#include "ModTable.h"

#if defined(TWIN_BIN16)

extern long int Trap();

 /* Interface Segment Image MPR: */

static long int (*seg_image_MPR_0[])() =
{	/* nil */	0, 0,
	0,0
};
#endif

 /* Segment Table MPR: */

SEGTAB SegmentTableMPR[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_MPR_0, 272, TRANSFER_CALLBACK, 272, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

long int
TWIN_LibEntry_libMPR()
{
        return(0);
}

void
MprEnd()
{
}

/*------------------------- < Full Revision History > ----------------------
** $Log: wnetIF.c,v $
** Revision 1.3  2000/01/28 07:45:59  robf
** added binary interface file
**
** Revision 1.2  1999/07/12 19:35:32  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/
