/*--------------------------------------------------------------------------
**      DrvCommon.h               Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvCommon.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvCommon.h,v 1.3 1999/07/08 18:53:31 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#if !defined (__TWIN_x11_DrvCommon_h)
#define __TWIN_x11_DrvCommon_h 1

/*
 *  How to do memory allocation in several modules.
 */
#define	DRVMEM_MALLOC	WinMalloc
#define	DRVMEM_REALLOC	WinRealloc
#define	DRVMEM_FREE	WinFree

#endif /* __TWIN_x11_DrvCommon_h */

/*------------------------- < Full Revision History > ----------------------
** $Log: DrvCommon.h,v $
** Revision 1.3  1999/07/08 18:53:31  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/