/*--------------------------------------------------------------------------
**      xtime.h                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/xtime.h
**
**  Description:dos timer function definitions
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/xtime.h,v 1.2 1999/07/08 21:30:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef xtime__h
#define xtime__h

/*	INT_1A's functions	*/

#define	GET_TICKS	0
#define	GET_TIME	2
#define SET_TIME	3
#define	GET_DATE	4
#define SET_DATE	5

#define format_date(calendar) ((calendar->tm_year-80)<<9)+((calendar->tm_mon+1)<<5)+calendar->tm_mday;
#define format_time(calendar) (calendar->tm_hour<<11)+(calendar->tm_min<<5)+calendar->tm_sec/2;


#define  MICRO 1000 
#endif /* xtime__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: xtime.h,v $
** Revision 1.2  1999/07/08 21:30:39  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/