/*--------------------------------------------------------------------------
**      progress.h                 Twin           From:  Twin/samples/progbar
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright (c) 1995-1996, Willows Software Inc.  All rights reserved.
**------------------------ < File Content Description > --------------------
**
**  Module:	samples/progbar/progress.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/samples/progbar/progress.h,v 1.2 1999/07/14 18:14:23 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef progress__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


#define progress__h


/* menu commands */

/* Find menu */
#define IDM_SETRANGE    100
#define IDM_START       101
#define IDM_EXIT        102
#define IDM_STOP        103

/* Help menu */
#define IDM_ABOUT       200

/* icons */
#define PROGRESS_ICON     300

/*dialog box defines */
// set range box
#define IDE_MIN         500
#define IDE_MAX         501

#define ID_TIMER        1000

/* Function prototypes */

/* procs */
long APIENTRY MainWndProc(HWND, UINT, UINT, LONG);
BOOL APIENTRY About(HWND, UINT, UINT, LONG);
BOOL APIENTRY Range(HWND, UINT, UINT, LONG);

/*functions */
BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);

/*string constants */
char *hello = "Choose Start from the Options menu to start the progress bar.";



#endif /* progress__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: progress.h,v $
** Revision 1.2  1999/07/14 18:14:23  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/