/*--------------------------------------------------------------------------
**      DrawState.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/DrawState.c
**	
**  Description:
**		
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/DrawState.c,v 1.1 1999/07/31 02:12:59 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "Log.h"


/*------< Function DrawState >------------------------------------------
**
**  Description:
**		
**  Parameters:
**
**  Returns:
**
**  Notes:
**      TODO:  DrawState is just a stub, and needs to be implemented.
**    
**--------------------------------------------------------------------------*/
BOOL WINAPI DrawState(
  HDC hdc,                     // handle to device context
  HBRUSH hbr,                  // handle to brush
  DRAWSTATEPROC lpOutputFunc,  // callback function
  LPARAM lData,                // image information
  WPARAM wData,                // more image information
  int x,                       // horizontal location
  int y,                       // vertical location
  int cx,                      // image width
  int cy,                      // image height
  UINT fuFlags                 // image type and state
)
{
    APISTR((LF_APISTUB,"DrawState(%p,%p,%p, 0x%x, 0x%x, %d, %d, %d, %d, 0x%x)\n",
		hdc, hbr, lpOutputFunc,
                lData, wData, x, y, cx, cy, fuFlags));
    return(0);
}



/*------------------------- < Full Revision History > ----------------------
** $Log: DrawState.c,v $
** Revision 1.1  1999/07/31 02:12:59  jwhite
** Initial checkin to the repository of a stub version.
**
**
**-------------------------------------------------------------------------*/


