/*--------------------------------------------------------------------------
**      utils.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/utils.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/utils.h,v 1.3 1999/11/29 22:41:15 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Utils__h
#define Utils__h

#define	LM_NOHEADER	1
#define	LM_NODEPTH	2
#define	LM_APICOUNT	4
#define LM_APIINDENT	8
#define	LM_BC_STYLE	0x10
#define	LM_APISTARTUP	0x20

#endif /* Utils__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: utils.h,v $
** Revision 1.3  1999/11/29 22:41:15  robf
** new logging functions
**
** Revision 1.2  1999/07/09 21:55:48  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
