/*--------------------------------------------------------------------------
**      WCommCtrl.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WCommCtrl.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WCommCtrl.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#define NONAMELESSUNION
#ifndef WCOMMCTRL_H
#define WCOMMCTRL_H

#include "windows.h"
#include <stdio.h>
#include "commctrl.h"

#ifndef _WINDOWS
#define WInitCommonControls	InitCommonControls
#endif


#ifndef WCOMMCTRL


#   if defined ( __cplusplus )
        extern CWSharedLib                      *pWCommCtrl;
#   endif /* #if defined ( __cplusplus ) */

#   if defined ( __cplusplus )
    extern "C"
    {
#   endif /* #if defined ( __cplusplus ) */

extern char                             WCCDebugString[];
void EXPORT WINAPI WInitCommonControls ();

#   if defined ( __cplusplus )
    }
#   endif /* #if defined ( __cplusplus ) */

#endif


#endif /* #ifndef WCOMMCTRL_H */
