/*--------------------------------------------------------------------------
**      WLVLBox.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WLVLBox.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WLVLBox.h,v 1.2 1999/07/12 15:38:21 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#define XBMPOFFSET  2
#if 0
typedef struct {
    int         nIndent;
    int         nLevel;
    int         nImage;
    int         nBitmapHeight;
    int         nBitmapWidth;
    int         nTextHeight;
    int         nLineHeight;
    DWORD       dwConnect;
    LPSTR       pszText;
    SIZE        TextSize;
    UINT        uStyles;
    BOOL        bHasChild;
    BOOL        bLastKid;
    BOOL        bOpened;
    HIMAGELIST  hImgL;
    HFONT       hFont;
} TVIEWDRAWITEMSTRUCT, *LPTVIEWDRAWITEMSTRUCT;
#endif

#if 0
/*
// Interface functions
*/
long
TVListBox_ItemFromPoint 
(
    HWND                hwTree,
    PTVLBOXDATA         pLBox,
    int                 x,
    int                 y
);

/*
// Support functions
*/
static VOID  near FastRect(HDC hDC, int x, int y, int cx, int cy);
#endif

void LVLBox_OnHScroll ( HWND, int, int);

void LVLBox_OnVScroll ( HWND, int, int);


BOOL LVEdit_Subclass ( HWND );

/*------------------------- < Full Revision History > ----------------------
** $Log: WLVLBox.h,v $
** Revision 1.2  1999/07/12 15:38:21  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/