/*--------------------------------------------------------------------------
**      xdos.h                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1995-1996 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/xdos.h
**
**  Description: x86 error and carry flags
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/xdos.h,v 1.2 1999/07/08 21:30:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/*******************************************
**
**	dos error codes
**
********************************************/

#ifndef xdos__h
#define xdos__h

#include	"windows.h"

/* Simulated CPU flags */
#define CARRY_FLAG	0x00010000
#define ZERO_FLAG	0x00400000

#endif /* xdos__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: xdos.h,v $
** Revision 1.2  1999/07/08 21:30:39  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/