/*--------------------------------------------------------------------------
**      lib2.c                 Twin           From:  Twin/samples/dltest
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	samples/dltest/lib2.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/samples/dltest/lib2.c,v 1.2 1999/07/14 18:14:17 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "stdio.h"

#define TWIN_GCCINIT
#define LIBENTRY_DECL(entry) void entry() __attribute__ ((constructor))

LIBENTRY_DECL(TWIN_LibEntry_lib2);

int	hInstance = 2;

void
TWIN_LibEntry_lib2()
{
	printf("lib2 .init function called\n");
	return;
}

void
TWIN_LibEntry_common()
{
	printf("lib2 TWIN_LibEntry_common function called\n");
}

/*------------------------- < Full Revision History > ----------------------
** $Log: lib2.c,v $
** Revision 1.2  1999/07/14 18:14:17  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/