/*--------------------------------------------------------------------------
**      detab.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	tools/detab.c
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/tools/detab.c,v 1.2 1999/07/13 20:17:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


int
main(int argc,char **argv)
{
	char input[1024];
	char *p,ch;
	
	while (fgets(input,1024,stdin)) {
		ch = '\n';

		//p = strchr(input,'\n');	
		//if(p) *p = 0;

		for(p = input;p && *p;p++) {
			if(*p == '\t') *p = ' ';
			if(*p == '\n') {
				ch = ' ';
				fprintf(stdout," ");
				continue;
			}

			if(*p == ' ' && ch == ' ')
				continue;

			if(*p == '(' && ch != ' ')
				fprintf(stdout," ");

			if(*p == ')' && ch != ' ')
				fprintf(stdout," ");

			fprintf(stdout,"%c",*p);
			if(*p == ';') {
				*p = '\n';
				fprintf(stdout,"%c",*p);
			}
			ch = *p;
		}
	}
}

/*------------------------- < Full Revision History > ----------------------
** $Log: detab.c,v $
** Revision 1.2  1999/07/13 20:17:39  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/