/*--------------------------------------------------------------------------
**      Frame.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Frame.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Frame.h,v 1.2 1999/07/09 21:55:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
#ifndef Frame__h
#define Frame__h


/* Prototypes */
int  DoNCHitTest(HWND, POINT);
LONG DoNCMouse(HWND, UINT, int, POINT);
void DrawCaption(HWND hWnd, HDC hDC, BOOL bFlag, BOOL bFunc);
void DrawWindowFrame(HWND, BOOL);
void CalcNCDimensions(LPRECT, DWORD, DWORD, WORD);
void CalcExpectedNC(LPRECT, DWORD, DWORD);
DWORD CalcBorders(DWORD,DWORD);
LRESULT FrameProc(HWND, UINT, WPARAM, LPARAM);
LRESULT IconTitleWndProc(HWND, UINT, WPARAM, LPARAM);
void DoSysCommand(HWND,WPARAM,LPARAM);
void DrawIconTitle(HWND,UINT);
HCURSOR GetDragIconCursor(HWND);



#endif   /* Frame__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Frame.h,v $
** Revision 1.2  1999/07/09 21:55:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
